[SCM] eclipse - Powerful IDE written in java - Debian package. branch, master, updated. bf9ec2e0a9a500aad24cfc70211e7d866a40fae8

Benjamin Drung bdrung-guest at alioth.debian.org
Tue Feb 16 13:23:45 UTC 2010


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "eclipse - Powerful IDE written in java - Debian package.".

The branch, master has been updated
       via  bf9ec2e0a9a500aad24cfc70211e7d866a40fae8 (commit)
      from  0dfe108a00f1ef4294a81be0abfa12e3ad3bb73f (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit bf9ec2e0a9a500aad24cfc70211e7d866a40fae8
Author: Benjamin Drung <bdrung at ubuntu.com>
Date:   Tue Feb 16 14:23:30 2010 +0100

    Add repack-eclipse script.

-----------------------------------------------------------------------

Summary of changes:
 repack-eclipse |   33 +++++++++++++++++++++++++++++++++
 1 files changed, 33 insertions(+), 0 deletions(-)

diff --git a/repack-eclipse b/repack-eclipse
new file mode 100755
index 0000000..39bf372
--- /dev/null
+++ b/repack-eclipse
@@ -0,0 +1,33 @@
+#!/bin/sh
+set -e
+
+cd "$(dirname $0)/eclipse"
+
+# Remove unused files
+rm -f plugins/org.eclipse.core.resources/natives/ref.c
+
+# Remove unused .jar files
+rm -f plugins/org.apache.ant_*/lib/ant-jai.jar
+rm -f plugins/org.apache.ant_*/lib/ant-jmf.jar
+rm -f plugins/org.apache.ant_*/lib/ant-netrexx.jar
+rm -f plugins/org.apache.ant_*/lib/ant-starteam.jar
+rm -f plugins/org.apache.ant_*/lib/ant-stylebook.jar
+rm -f plugins/org.apache.ant_*/lib/ant-weblogic.jar
+rm -f plugins/org.apache.ws.commons.util_*.jar
+rm -f plugins/org.apache.ws.jaxme_*.jar
+rm -f plugins/org.apache.xmlrpc_*.jar
+
+# Store a list of removed files
+find plugins -name '*.jar' | grep -v '.source_' >> removed-jars
+
+# Remove .jar files
+for jar_file in $(cat removed-jars); do
+	if test -f "$jar_file"; then
+		echo "I: Removed $jar_file"
+	fi
+	rm -f $jar_file
+done
+
+# Replace source .jar files
+cd ..
+./unjar-jar -c eclipse/plugins


hooks/post-receive
-- 
eclipse - Powerful IDE written in java - Debian package.



More information about the pkg-java-commits mailing list